Package org.bukkit.event.entity

# Class EntityBreedEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityBreedEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityBreedEvent extends EntityEvent implements Cancellable
Called when one Entity breeds with another Entity.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityBreedEvent(@NotNull LivingEntity child, @NotNull LivingEntity mother, @NotNull LivingEntity father, @Nullable LivingEntity breeder, @Nullable ItemStack bredWith, int experience)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable ItemStack`
`getBredWith()`
The ItemStack that was used to initiate breeding, if present.
`@Nullable LivingEntity`
`getBreeder()`
Gets the Entity responsible for breeding.
`@NotNull LivingEntity`
`getEntity()`
Returns the Entity involved in this event
`int`
`getExperience()`
Get the amount of experience granted by breeding.
`@NotNull LivingEntity`
`getFather()`
Gets the other parent of the newly born entity.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull LivingEntity`
`getMother()`
Gets the parent creating this entity.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setExperience(int experience)`
Set the amount of experience granted by breeding.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityBreedEvent

public EntityBreedEvent(@NotNull @NotNull LivingEntity child, @NotNull @NotNull LivingEntity mother, @NotNull @NotNull LivingEntity father, @Nullable @Nullable LivingEntity breeder, @Nullable @Nullable ItemStack bredWith, int experience)

## Method Details

### getEntity

@NotNull public @NotNull LivingEntity getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getMother

@NotNull public @NotNull LivingEntity getMother()
Gets the parent creating this entity.

Returns:
  The "birth" parent

### getFather

@NotNull public @NotNull LivingEntity getFather()
Gets the other parent of the newly born entity.

Returns:
  the other parent

### getBreeder

@Nullable public @Nullable LivingEntity getBreeder()
Gets the Entity responsible for breeding. Breeder is null for spontaneous conception.

Returns:
  The Entity who initiated breeding.

### getBredWith

@Nullable public @Nullable ItemStack getBredWith()
The ItemStack that was used to initiate breeding, if present.

Returns:
  ItemStack used to initiate breeding.

### getExperience

public int getExperience()
Get the amount of experience granted by breeding.

Returns:
  experience amount

### setExperience

public void setExperience(int experience)
Set the amount of experience granted by breeding.

Parameters:
  `experience` - experience amount

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()